#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	ipv6		# disable IPv6 support
#
Summary:	LibTorrent - a BitTorrent library written in C++ for Unix
Summary(pl.UTF-8):	LibTorrent - biblioteka BitTorrenta napisana w C++ dla Uniksa
Name:		libtorrent
# keep stable line, see URL below
Version:	0.13.4
Release:	3
Epoch:		1
License:	GPL v2+
Group:		Libraries
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	e82f380a9d4b55b379e0e73339c73895
Patch0:		%{name}-client_list.patch
Patch1:		%{name}-build.patch
Patch2:		libtorrent-bencoded-error.patch
URL:		https://github.com/rakshasa/rtorrent/wiki
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a
focus on high performance and good code. The library differentiates
itself from other implementations by transfering directly from file
pages to the network stack. On high-bandwidth connections it is able
to seed at 3 times the speed of the official client.

%description -l pl.UTF-8
LibTorrent to biblioteka BitTorrenta napisana w C++ dla Uniksa. Jest
zaprojektowana aby uniknąć nadmiarowego kopiowania buforów i danych,
będącego wadą większości (wszystkich?) innych implementacji
BitTorrenta. Biblioteka jest jednowątkowa, klient obsługuje pętlę
select.

%package devel
Summary:	Development files for libtorrent
Summary(pl.UTF-8):	Pliki programistyczne libtorrent
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libsigc++-devel >= 2.0
Requires:	libstdc++-devel
Requires:	openssl-devel >= 0.9.7d

%description devel
Development files for libtorrent.

%description devel -l pl.UTF-8
Pliki programistyczne libtorrent.

%package static
Summary:	Static libtorrent library
Summary(pl.UTF-8):	Statyczna biblioteka libtorrent
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libtorrent library.

%description static -l pl.UTF-8
Statyczna biblioteka libtorrent.

%prep
v=%{version}; IFS=.; set -- $v
if [ $(($2 % 2)) = 0 ]; then
	echo "WARNING Version %{version} is probably unstable, check it first!"
	exit 1
fi
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# force refresh
%{__rm} scripts/{libtool,lt*}.m4

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--%{?debug:en}%{!?debug:dis}able-debug \
	%{?with_static_libs:--enable-static} \
%ifarch i386 i486
	--disable-instrumentation
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libtorrent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtorrent.so.18

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtorrent.so
%{_libdir}/libtorrent.la
%{_includedir}/torrent
%{_pkgconfigdir}/libtorrent.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent.a
%endif
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtorrent.git;a=log;h=master

* Sun Jun 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 42275ee
- rel 3; show why decoding bencoded data failed

* Thu May 22 2014 Jakub Bogusz <qboosh@pld-linux.org> ca0459a
- updated libtool version

* Mon May 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 90230e9
- rel 2; disable atomic ops on < i586

* Sat May 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e8c832
- up to 0.13.4

* Sun May 06 2012 Elan Ruusamäe <glen@pld-linux.org> a97435e
- restore stable checker, this time with odd versions

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d925a9
- up to 0.13.2 (stable)

* Mon Jan 23 2012 Elan Ruusamäe <glen@pld-linux.org> 600eaf8
- try to figure odd/even automatically

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> a68fadc
- unstable version 0.13.0 big fat blocker

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> b174b3e
- reverted, 0.13.0 is unstable

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 359b861
- up to 0.13.0

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 017c7b5
- stable note

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> fa4c3c5
- merged commit logs from DEVEL

* Sat Jun 25 2011 Karol Krenski <charles@pld-linux.org> e175d55
- BR: cppunit-devel

* Sat Jun 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 654dba5
- rel 2; drop ugly hacks

* Sat Jun 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a7ccffb
- up to 0.12.9

* Wed May 11 2011 lisu <lisu@pld-linux.org> dba8abe
- proper rel is 4
- merged more commits log

* Wed May 11 2011 lisu <lisu@pld-linux.org> 2f1cb8c
- rel 2

* Wed May 11 2011 lisu <lisu@pld-linux.org> ad866d2
- epoch in -static Rs

* Wed May 11 2011 lisu <lisu@pld-linux.org> a189b12
- use __rm macro

* Wed May 11 2011 lisu <lisu@pld-linux.org> 84fe40d
- back to stable 0.12.6 version
- epoch 1

